[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r951 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-07-17 05:27:59 +0000 (Sun, 17 Jul 2005)
New Revision: 951

Added:
   glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-inline.dpatch
   glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-mv8.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/glibc235-gcc4-sparc-inline.dpatch: Fix sparc compilation
        breakage by changing static inline to auto inline for dl-machine.h.
      - debian/patches/glibc235-gcc4-sparc-mv8.dpatch: Fix obsolete gcc option
        to replace newer standard one.



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-07-17 05:02:44 UTC (rev 950)
+++ glibc-package/trunk/debian/changelog	2005-07-17 05:27:59 UTC (rev 951)
@@ -51,7 +51,11 @@
         breakage by removing __uint128_t use.  (Closes: #304963)
       - debian/patches/glibc235-gcc4-arm-inline.dpatch: Fix arm compilation
         breakage by changing static inline to auto inline for dl-machine.h.
-
+      - debian/patches/glibc235-gcc4-sparc-inline.dpatch: Fix sparc compilation
+        breakage by changing static inline to auto inline for dl-machine.h.
+      - debian/patches/glibc235-gcc4-sparc-mv8.dpatch: Fix obsolete gcc option
+        to replace newer standard one.
+  
     * Move /etc/locale.alias to /usr/share/locale/locale.alias.
       Don't install locale.alias.5.  (Closes: #144670, #185991, #298784)
       - debian/local/usr_sbin/locale-gen: Use /usr/share/locale/locale.alias

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-07-17 05:02:44 UTC (rev 950)
+++ glibc-package/trunk/debian/patches/00list	2005-07-17 05:27:59 UTC (rev 951)
@@ -67,3 +67,5 @@
 glibc235-gcc4-ia64-profile
 glibc235-gcc4-ppc-procfs
 glibc235-gcc4-arm-inline
+glibc235-gcc4-sparc-inline
+glibc235-gcc4-sparc-mv8

Added: glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-inline.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-inline.dpatch	2005-07-17 05:02:44 UTC (rev 950)
+++ glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-inline.dpatch	2005-07-17 05:27:59 UTC (rev 951)
@@ -0,0 +1,129 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc-2.3.5 compile with gcc-4.0 on arm for inline
+#		   functions of dl-machine.h.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: Jakub Jelinek <jakub@redhat.com>
+#		    GOTO Masanori <gotom@debian.org>
+# DP: Upstream status: In CVS / Debian-Specific
+# DP: Status Details: 
+# DP: Date: 2005-07-17
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+--- sysdeps/sparc/sparc32/dl-machine.h.org	2005-07-15 06:14:11.000000000 +0900
++++ sysdeps/sparc/sparc32/dl-machine.h	2005-07-15 06:59:13.000000000 +0900
+@@ -411,7 +411,14 @@ elf_machine_plt_value (struct link_map *
+ /* Perform the relocation specified by RELOC and SYM (which is fully resolved).
+    MAP is the object containing the reloc.  */
+ 
+-static inline void
++#if __GNUC__ >= 4
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif
+ elf_machine_rela (struct link_map *map, const Elf32_Rela *reloc,
+ 		  const Elf32_Sym *sym, const struct r_found_version *version,
+ 		  void *const reloc_addr_arg)
+@@ -593,7 +600,14 @@ elf_machine_rela (struct link_map *map, 
+     }
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4 
++  auto inline void 
++#else 
++  static inline void 
++#endif 
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2) 
++  __attribute ((always_inline)) 
++#endif 
+ elf_machine_rela_relative (Elf32_Addr l_addr, const Elf32_Rela *reloc,
+ 			   void *const reloc_addr_arg)
+ {
+@@ -601,7 +615,14 @@ elf_machine_rela_relative (Elf32_Addr l_
+   *reloc_addr += l_addr + reloc->r_addend;
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4 
++  auto inline void 
++#else 
++  static inline void 
++#endif 
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2) 
++  __attribute ((always_inline)) 
++#endif 
+ elf_machine_lazy_rel (struct link_map *map,
+ 		      Elf32_Addr l_addr, const Elf32_Rela *reloc)
+ {
+--- sysdeps/sparc/sparc64/dl-machine.h	2005-07-17 04:18:07.000000000 +0900
++++ sysdeps/sparc/sparc64/dl-machine.h.new	2005-07-17 04:22:22.000000000 +0900
+@@ -238,7 +238,14 @@
+ /* Perform the relocation specified by RELOC and SYM (which is fully resolved).
+    MAP is the object containing the reloc.  */
+ 
+-static inline void
++#if __GNUC__ >= 4               
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif   
+ elf_machine_rela (struct link_map *map, const Elf64_Rela *reloc,
+ 		  const Elf64_Sym *sym, const struct r_found_version *version,
+ 		  void *const reloc_addr_arg)
+@@ -430,7 +437,14 @@
+     }
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4               
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif   
+ elf_machine_rela_relative (Elf64_Addr l_addr, const Elf64_Rela *reloc,
+ 			   void *const reloc_addr_arg)
+ {
+@@ -438,7 +452,14 @@
+   *reloc_addr = l_addr + reloc->r_addend;
+ }
+ 
+-static inline void
++#if __GNUC__ >= 4               
++  auto inline void
++#else
++  static inline void
++#endif
++#if __GNUC__ >= 4 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 2)
++  __attribute ((always_inline))
++#endif   
+ elf_machine_lazy_rel (struct link_map *map,
+ 		      Elf64_Addr l_addr, const Elf64_Rela *reloc)
+ {

Added: glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-mv8.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-mv8.dpatch	2005-07-17 05:02:44 UTC (rev 950)
+++ glibc-package/trunk/debian/patches/glibc235-gcc4-sparc-mv8.dpatch	2005-07-17 05:27:59 UTC (rev 951)
@@ -0,0 +1,44 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc-2.3.5 compile with gcc-4.0 on sparc for replacing
+#		   obsolete compiler option to the standard one.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: GOTO Masanori <gotom@debian.org>
+# DP: Upstream status: Not submitted yet
+# DP: Status Details: Will be submitted
+# DP: Date: 2005-07-17
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+2005-07-17  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/unix/sysv/linux/sparc/sparc32/Makefile: Replace obsolete gcc
+	option to the standard one.
+
+--- sysdeps/unix/sysv/linux/sparc/sparc32/Makefile.org	2005-07-15 13:50:11.000000000 +0900
++++ sysdeps/unix/sysv/linux/sparc/sparc32/Makefile	2005-07-15 13:50:41.000000000 +0900
+@@ -4,7 +4,7 @@
+ 
+ # When I get this to work, this is the right thing
+ ifeq ($(subdir),elf)
+-CFLAGS-rtld.c += -mv8
++CFLAGS-rtld.c += -mcpu=v8
+ #rtld-routines += dl-sysdepsparc
+ sysdep-others += lddlibc4
+ install-bin += lddlibc4



Reply to: